Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002667 [JEDI VCL] 00 JVCL Components minor always 2005-02-21 00:24 2005-04-22 07:38
Reporter vrtareg View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002667: Errors in qrun\JvQSpin.pas and run\JvSpin.pas
Description I found errors in qrun\JvQSpin.pas and run\JvSpin.pas files.

When i put to Form TJvSpin edit and set spin type to Standard, i cant increase the value of this SpinEdit, because in JvQSpin.pas(procedure TJvUpDown.Click(Button: TUDBtnType); line 1756, file version 1.56) and JvSpin.pas(procedure TJvUpDown.Click(Button: TUDBtnType); line 2008, file version 1.68) calls Click procedure with the same "btPrev" parameter.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006954)
obones (administrator)
2005-04-12 06:42

As this is VisualClx code, I require your feedback.
Could you confirm it works fine when setting the second btPrev to btNext so that it is used when Pos >= 0
Thanks for your help
(0006956)
vrtareg (reporter)
2005-04-12 06:58

i change the following code in both sources VCL and CLX
and after that jvSpin edit start works correctly.

-----------------
procedure TJvUpDown.Click(Button: TUDBtnType);
var
  Pos: Integer;
begin
  if not FChanging then
  begin
    FChanging := True;
    try
      Pos := Position;
      UpdatePosition(0);
    finally
      FChanging := False;
    end;
    if Pos < 0 then
      inherited Click(btPrev)
    else
!!!!!!!!!!!!!!!!!!!!!!
      inherited Click(btPrev) -> inherited Click(btNext)
!!!!!!!!!!!!!!!!!!!!!!
  end;
end;

-----------------
(0007047)
obones (administrator)
2005-04-22 07:38

Thanks, this is now fixed in CVS.

- Issue History
Date Modified Username Field Change
2005-02-21 00:24 vrtareg New Issue
2005-04-12 06:42 obones Note Added: 0006954
2005-04-12 06:42 obones Status new => feedback
2005-04-12 06:58 vrtareg Note Added: 0006956
2005-04-22 07:38 obones Status feedback => resolved
2005-04-22 07:38 obones Resolution open => fixed
2005-04-22 07:38 obones Assigned To => obones
2005-04-22 07:38 obones Note Added: 0007047


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker